Name:           python-google-trans-new
Version:        1.1.9
Release:        %mkrel 1
Summary:        A free and unlimited python tools for google translate api
Group:          Development/Python

License:        MIT
URL:            https://github.com/lushan88a/google_trans_new
Source:         %{pypi_source google_trans_new}

BuildArch:      noarch
BuildRequires:  python3-devel


%global _description %{expand:
A free and unlimited python API for google translate.
It's very easy to use and solve the problem that the old api which use tk value
cannot be used.
This interface is for academic use only, please do not use it for commercial
use.}

%description %_description

%package -n     python3-google-trans-new
Summary:        %{summary}

%description -n python3-google-trans-new %_description


%prep
%autosetup -p1 -n google_trans_new-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google_trans_new


%files -n python3-google-trans-new -f %{pyproject_files}
%doc README.md


%changelog
* Wed Sep 04 2024 papoteur <papoteur> 1.1.9-1.mga10
+ Revision: 2093069
- fix summary
- imported for mnemosyne
- imported package python-google-trans-new

